/*
 * JaikuBerryAbout.java
 *  Lovely Products 2007 (richard@movethemarkets.com)
 * GPL v2 or later.
 */

package com.lovely.bin;

import net.rim.device.api.ui.*;
import net.rim.device.api.ui.component.*;
import net.rim.device.api.ui.container.*;
import net.rim.device.api.system.*;

/**
 * 
 */
class JaikuBerryAbout extends MainScreen {
    JaikuBerryAbout() {    
        super();
        LabelField title = new LabelField
         ("JaikuBerry", LabelField.ELLIPSIS | LabelField.USE_ALL_WIDTH);
        setTitle(title);
        add(new RichTextField("Version: " + JaikuMIDletConstants.getVersion(),Field.READONLY));
        add(new RichTextField("Author: Richard Todd",Field.READONLY));
        add(new RichTextField("Email: richard@movethemarkets.com",Field.READONLY));
        add(new RichTextField("URL: http://www.movethemarkets.com/richard/jaikuberry",Field.READONLY));
        add(new SeparatorField());
        add(new RichTextField("Keyboard Shortcuts (jaikus/contacts screens):",Field.READONLY));
        add(new RichTextField("  b - go to bottom of page",Field.READONLY));
        add(new RichTextField("  t - go to top of page",Field.READONLY));
        add(new RichTextField("  r - reload",Field.READONLY));
        add(new RichTextField("  j - get jaikus for current user",Field.READONLY));
        add(new RichTextField("  c - get comments for current entry",Field.READONLY));
        add(new RichTextField("  SPACE - page down",Field.READONLY));
        add(new RichTextField("  ENTER - get jaikus for current user",Field.READONLY));
        add(new SeparatorField());
        add(new RichTextField("Keyboard Shortcuts (posting screen):",Field.READONLY));
        add(new RichTextField("  ENTER - send post",Field.READONLY));
    }    
    
    protected boolean keyCharUnhandled(char key, int status, int time) {
      boolean retval = false;
      
      if(key == Characters.LATIN_SMALL_LETTER_T) {
         scroll(Manager.TOPMOST);    
      } else if(key == Characters.LATIN_SMALL_LETTER_B) {
         scroll(Manager.BOTTOMMOST);              
      }
      else retval = super.keyCharUnhandled(key,status,time);
  
      return retval;
    }    
} 
